pkgsrc/net/netatalk/patches/patch-aa
taca e58b40b4af Update netatalk package to 2.0.4.
pkgsrc changs:

* Add LICENSE.
* Fix some pkglint warnings.
* cjk patch was incorporated and cjk PKG_OPTION was removed.


Changes in 2.0.4
================

* REM: remove timeout
* NEW: afpd: DHX2 uams using GNU libgcrypt.
* NEW: afpd: volume options 'illegalseq', 'perm' and 'invisibledots'
       'ilegalseq'  encode illegal sequence in filename asis, ex "\217-", which is not
       a valid SHIFT-JIS char, is encoded  as U\217 -.
       'perm' value OR with the client requested permissions. (help with OSX 10.5
       strange permissions).
       Make dot files visible by default with 'usedots', use 'invisibledots'
       for keeping the old behavior, ie for OS9 (OSX hide dot files on its
       own).
* NEW: afpd: volume options allow_hosts/denied hosts
* NEW: afpd: volume options dperm/fperm default directory and file
       permissions or with server requests.
* NEW: afpd: afpd.conf, allow line continuation with \
* NEW: afpd: AppleVolumes.default allow line continuation with \
* NEW: afpd: Mac greek encoding.
* NEW: afpd: CJK encoding.
* UPD: afpd: Default UAMs: DHX + DHX2
* FIX: afpd: return the right error in createfile and copyfile if the disk
       is full.
* FIX: afpd: resolveid return the same error code than OSX if it's a directory
* FIX: afpd: server name check, test for the whole loopback subnet
       not only 127.0.0.1.
* UPD: afpd: limit comments size to 128 bytes, (workaround for Adobe CS2 bug).
* UPD: afpd: no more daemon icon.
* UPD: usedots, return an invalide name only for .Applexxx files used by netatalk not
       all files starting with .apple.
* UPD: cnid: increase the number of cnid_dbd slots to 512.
* FIX: cnid: dbd detach the daemon from the control terminal.
* UPD: cnid: never ending Berkeley API changes...
* UPD: cnid: dbd add a timeout when reading data from afpd client.
* UPD: cnid: Don't wait five second after the first error when speaking to the dbd
       backend.
* FIX: papd: vars use % not $
* FIX: papd: quote chars in popen variables expansion. security fix.
* FIX: papd: papd -d didn't write to stderr.
* FIX: papd: ps comments don't always use ()
* FIX: many compilation errors (solaris, AFS, Tru64, xfs quota...).
2009-06-09 13:57:56 +00:00

76 lines
2.7 KiB
Text

$NetBSD: patch-aa,v 1.18 2009/06/09 13:57:56 taca Exp $
--- configure.orig 2009-03-29 16:24:33.000000000 +0900
+++ configure
@@ -24445,7 +24445,7 @@ done
-for ac_func in strlcpy strlcat
+for ac_func in strlcpy strlcat getifaddrs
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
{ echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -27933,7 +27933,7 @@ fi
LIBS="$savedLIBS"
fi
- netatalk_cv_install_pam=yes
+ netatalk_cv_install_pam=no
if test x"$pam_found" = "xyes" -a "x$PAMDIR" = "xNONE"; then
{ echo "$as_me:$LINENO: WARNING: PAM support can be compiled, but the install location for the netatalk.pamd file could not be determined. Either install this file by hand or specify the install path." >&5
echo "$as_me: WARNING: PAM support can be compiled, but the install location for the netatalk.pamd file could not be determined. Either install this file by hand or specify the install path." >&2;}
@@ -28583,7 +28583,7 @@ if test "${with_spooldir+set}" = set; th
withval=$with_spooldir;
if test "$withval" = "no"; then
- if test x"$spool_required" == x"yes"; then
+ if test x"$spool_required" = x"yes"; then
{ { echo "$as_me:$LINENO: error: *** CUPS support requires a spooldir ***" >&5
echo "$as_me: error: *** CUPS support requires a spooldir ***" >&2;}
{ (exit 1); exit 1; }; }
@@ -29496,7 +29496,7 @@ cat >>confdefs.h <<\_ACEOF
#define NETBSD 1
_ACEOF
- CFLAGS="-I\$(top_srcdir)/sys/netbsd -I/usr/include/kerberosIV $CFLAGS"
+ CFLAGS="-I\$(top_srcdir)/sys/netbsd $CFLAGS"
need_dash_r=yes
@@ -29839,7 +29839,7 @@ IFS=$as_save_IFS
;;
esac
fi
-LIBGCRYPT_CONFIG=$ac_cv_path_LIBGCRYPT_CONFIG
+LIBGCRYPT_CONFIG=no
if test -n "$LIBGCRYPT_CONFIG"; then
{ echo "$as_me:$LINENO: result: $LIBGCRYPT_CONFIG" >&5
echo "${ECHO_T}$LIBGCRYPT_CONFIG" >&6; }
@@ -30286,7 +30286,7 @@ echo "${ECHO_T}yes" >&6; }
atalk_cv_bdb_version=no
maj=$atalk_cv_bdb_MAJOR
min=$atalk_cv_bdb_MINOR
- atalk_cv_bdb_try_libs="-ldb$maj$min -ldb$maj.$min -ldb-$maj$min -ldb-$maj.$min"
+ atalk_cv_bdb_try_libs="-ldb$maj$min -ldb$maj.$min -ldb-$maj$min -ldb-$maj.$min -ldb$maj-$maj.$min"
for lib in $atalk_cv_bdb_try_libs ; do
LIBS="$lib $savedlibs"
@@ -30527,7 +30527,7 @@ case "(($ac_try" in
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ (eval "$ac_cpp $ac_env_CPPFLAGS_value conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
@@ -30735,7 +30735,7 @@ if test "${enable_krbV_uam+set}" = set;
if test x"$enableval" = x"yes"; then
FOUND_GSSAPI=no
- GSSAPI_LIBS=""
+# GSSAPI_LIBS=""
GSSAPI_CFLAGS=""